X2Go Bug report logs - #1059
pyhoca-gui can't be installed on OpenSUSE from project repository, OBS repository version throws errors

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: "Albrecht Kolthoff" <kolthoff@gmx.net>

Date: Sun, 10 Jul 2016 13:20:02 UTC

Severity: normal

Tags: not-a-bug

Found in version 0.5.0.6-0.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1059; Package pyhoca-gui. (Sun, 10 Jul 2016 13:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Albrecht Kolthoff" <kolthoff@gmx.net>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 10 Jul 2016 13:20:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "Albrecht Kolthoff" <kolthoff@gmx.net>
To: submit@bugs.x2go.org
Subject: pyhoca-gui can't be installed on OpenSUSE from project repository, OBS repository version throws errors
Date: Sun, 10 Jul 2016 15:12:19 +0200
Package: pyhoca-gui
Version: 0.5.0.6-0.0


While the x2goserver and x2goclient packages are running fine on my machines (server: OpenSUSE Leap 42.1, client: OpenSUSE 13.2), the pyhoca-gui package can't be installed from the x2go repository:
http://packages.x2go.org/opensuse/13.2/main/x86_64/

The same applies to the version in the heuler repository which contains nightly builds, as far as I understand. In both cases the package carries a dependency on python-wxWidgets-2_9 which can't be fulfilled by the OpenSUSE repositories; these offer only the 3_0 and alternatively the 2_8 packages.

The OpenSUSE Build service version (which is some minor versions behind the current ones on the x2go project server) actually has a 3_0 dependency (instead of 2_9) and can be installed:
http://download.opensuse.org/repositories/X11:/RemoteDesktop:/x2go/openSUSE_13.2/

But: this version refuses to run. When started from a terminal command line, it throws these errors:

ak@tantalus:~> pyhoca-gui
Traceback (most recent call last):
  File "/usr/bin/pyhoca-gui", line 35, in <module>
    from pyhoca.wxgui.launcher import PyHocaGUI_Launcher
  File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/launcher.py", line 38, in <module>
    from x2go import X2GOCLIENT_OS
  File "/usr/lib/python2.7/site-packages/x2go/__init__.py", line 189, in <module>
    from defaults import X2GOCLIENT_OS
  File "/usr/lib/python2.7/site-packages/x2go/defaults.py", line 388, in <module>
    RSAHostKey = paramiko.RSAKey.generate(RSAKEY_STRENGTH)
  File "/usr/lib/python2.7/site-packages/paramiko/rsakey.py", line 156, in generate
    public_exponent=65537, key_size=bits, backend=default_backend()
  File "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.py", line 35, in default_backend
    _default_backend = MultiBackend(_available_backends())
  File "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.py", line 22, in _available_backends
    "cryptography.backends"
AttributeError: 'EntryPoint' object has no attribute 'resolve'

Which leads to the situation, that pyhoca-gui can't be run on OpenSUSE at the moment. Which I regret.

Best regards
Albrecht Kolthoff

--


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1059; Package pyhoca-gui. (Thu, 14 Jul 2016 10:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 14 Jul 2016 10:45:02 GMT) (full text, mbox, link).


Message #10 received at 1059@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Albrecht Kolthoff <kolthoff@gmx.net>, 1059@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1059: pyhoca-gui can't be installed on OpenSUSE from project repository, OBS repository version throws errors
Date: Thu, 14 Jul 2016 10:42:26 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 not-a-bug

On  So 10 Jul 2016 15:12:19 CEST, Albrecht Kolthoff wrote:

> Package: pyhoca-gui
> Version: 0.5.0.6-0.0
>
>
> While the x2goserver and x2goclient packages are running fine on my  
> machines (server: OpenSUSE Leap 42.1, client: OpenSUSE 13.2), the  
> pyhoca-gui package can't be installed from the x2go repository:
> http://packages.x2go.org/opensuse/13.2/main/x86_64/
>
> The same applies to the version in the heuler repository which  
> contains nightly builds, as far as I understand. In both cases the  
> package carries a dependency on python-wxWidgets-2_9 which can't be  
> fulfilled by the OpenSUSE repositories; these offer only the 3_0 and  
> alternatively the 2_8 packages.
>
> The OpenSUSE Build service version (which is some minor versions  
> behind the current ones on the x2go project server) actually has a  
> 3_0 dependency (instead of 2_9) and can be installed:
> http://download.opensuse.org/repositories/X11:/RemoteDesktop:/x2go/openSUSE_13.2/
>
> But: this version refuses to run. When started from a terminal  
> command line, it throws these errors:
>
> ak@tantalus:~> pyhoca-gui
> Traceback (most recent call last):
>   File "/usr/bin/pyhoca-gui", line 35, in <module>
>     from pyhoca.wxgui.launcher import PyHocaGUI_Launcher
>   File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/launcher.py",  
> line 38, in <module>
>     from x2go import X2GOCLIENT_OS
>   File "/usr/lib/python2.7/site-packages/x2go/__init__.py", line  
> 189, in <module>
>     from defaults import X2GOCLIENT_OS
>   File "/usr/lib/python2.7/site-packages/x2go/defaults.py", line  
> 388, in <module>
>     RSAHostKey = paramiko.RSAKey.generate(RSAKEY_STRENGTH)
>   File "/usr/lib/python2.7/site-packages/paramiko/rsakey.py", line  
> 156, in generate
>     public_exponent=65537, key_size=bits, backend=default_backend()
>   File  
> "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.py", line 35, in  
> default_backend
>     _default_backend = MultiBackend(_available_backends())
>   File  
> "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.py", line 22, in  
> _available_backends
>     "cryptography.backends"
> AttributeError: 'EntryPoint' object has no attribute 'resolve'
>
> Which leads to the situation, that pyhoca-gui can't be run on  
> OpenSUSE at the moment. Which I regret.

This seems to be an issue buried in Python Paramiko and they way it is  
packaged for openSUSE. PyHoca-GUI relies on a working Paramiko Python  
module. What it does above is

  paramiko.RSAKey.generate(RSAKEY_STRENGTH)

And this call somehow fails. Please get this fixed for your distro and  
then pyhoca-gui will (hopefully) work.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) not-a-bug. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1059-submit@bugs.x2go.org. (Thu, 14 Jul 2016 10:45:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1059; Package pyhoca-gui. (Mon, 18 Jul 2016 18:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Albrecht Kolthoff" <kolthoff@gmx.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 18 Jul 2016 18:30:02 GMT) (full text, mbox, link).


Message #17 received at 1059@bugs.x2go.org (full text, mbox, reply):

From: "Albrecht Kolthoff" <kolthoff@gmx.net>
To: 1059@bugs.x2go.org, "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Subject: Re: [X2Go-Dev] Bug#1059: pyhoca-gui can't be installed on OpenSUSE from project repository, OBS repository version throws errors
Date: Mon, 18 Jul 2016 20:23:48 +0200
Today a package update from an openSUSE repository has been installed here as python-paramiko-2.0.0-45.1 and now pyhoca-gui is running without these error messages and apparently fully functional.

Problem solved, case closed. Thank you for your time and explanation.


On Thu, 14 Jul 2016 12:42:26 +0200, Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:

> Control: tags -1 not-a-bug
>
> On  So 10 Jul 2016 15:12:19 CEST, Albrecht Kolthoff wrote:
>
>> Package: pyhoca-gui
>> Version: 0.5.0.6-0.0
>>
>>
>> While the x2goserver and x2goclient packages are running fine on my
>> machines (server: OpenSUSE Leap 42.1, client: OpenSUSE 13.2), the
>> pyhoca-gui package can't be installed from the x2go repository:
>> http://packages.x2go.org/opensuse/13.2/main/x86_64/
>>
>> The same applies to the version in the heuler repository which
>> contains nightly builds, as far as I understand. In both cases the
>> package carries a dependency on python-wxWidgets-2_9 which can't be
>> fulfilled by the OpenSUSE repositories; these offer only the 3_0 and
>> alternatively the 2_8 packages.
>>
>> The OpenSUSE Build service version (which is some minor versions
>> behind the current ones on the x2go project server) actually has a
>> 3_0 dependency (instead of 2_9) and can be installed:
>> http://download.opensuse.org/repositories/X11:/RemoteDesktop:/x2go/openSUSE_13.2/
>>
>> But: this version refuses to run. When started from a terminal
>> command line, it throws these errors:
>>
>> ak@tantalus:~> pyhoca-gui
>> Traceback (most recent call last):
>>   File "/usr/bin/pyhoca-gui", line 35, in <module>
>>     from pyhoca.wxgui.launcher import PyHocaGUI_Launcher
>>   File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/launcher.py",
>> line 38, in <module>
>>     from x2go import X2GOCLIENT_OS
>>   File "/usr/lib/python2.7/site-packages/x2go/__init__.py", line
>> 189, in <module>
>>     from defaults import X2GOCLIENT_OS
>>   File "/usr/lib/python2.7/site-packages/x2go/defaults.py", line
>> 388, in <module>
>>     RSAHostKey = paramiko.RSAKey.generate(RSAKEY_STRENGTH)
>>   File "/usr/lib/python2.7/site-packages/paramiko/rsakey.py", line
>> 156, in generate
>>     public_exponent=65537, key_size=bits, backend=default_backend()
>>   File
>> "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.py", line 35, in
>> default_backend
>>     _default_backend = MultiBackend(_available_backends())
>>   File
>> "/usr/lib64/python2.7/site-packages/cryptography/hazmat/backends/__init__.py", line 22, in
>> _available_backends
>>     "cryptography.backends"
>> AttributeError: 'EntryPoint' object has no attribute 'resolve'
>>
>> Which leads to the situation, that pyhoca-gui can't be run on
>> OpenSUSE at the moment. Which I regret.
>
> This seems to be an issue buried in Python Paramiko and they way it is
> packaged for openSUSE. PyHoca-GUI relies on a working Paramiko Python
> module. What it does above is
>
>    paramiko.RSAKey.generate(RSAKEY_STRENGTH)
>
> And this call somehow fails. Please get this fixed for your distro and
> then pyhoca-gui will (hopefully) work.
>
> Mike


-- 


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1059; Package pyhoca-gui. (Thu, 21 Jul 2016 14:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 21 Jul 2016 14:45:02 GMT) (full text, mbox, link).


Message #22 received at 1059@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Albrecht Kolthoff <kolthoff@gmx.net>
Cc: 1059@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1059: pyhoca-gui can't be installed on OpenSUSE from project repository, OBS repository version throws errors
Date: Thu, 21 Jul 2016 14:43:37 +0000
[Message part 1 (text/plain, inline)]
Control: close -1
Control: tags -1 not-a-bug

On  Mo 18 Jul 2016 20:23:48 CEST, Albrecht Kolthoff wrote:

> Today a package update from an openSUSE repository has been  
> installed here as python-paramiko-2.0.0-45.1 and now pyhoca-gui is  
> running without these error messages and apparently fully functional.
>
> Problem solved, case closed. Thank you for your time and explanation.

Thanks for letting us know about this issue being solved for you.  
Closing the bug.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1059-submit@bugs.x2go.org. (Thu, 21 Jul 2016 14:45:03 GMT) (full text, mbox, link).


Notification sent to "Albrecht Kolthoff" <kolthoff@gmx.net>:
Bug acknowledged by developer. (Thu, 21 Jul 2016 14:45:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 19 Aug 2016 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Aug 23 09:20:33 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.